"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FindMeService = void 0;
const plugin_service_class_1 = require("./plugin_service_class");
class FindMeService extends plugin_service_class_1.PluginServiceClass {
    service;
    constructor(coreContext) {
        super(coreContext);
        if (this.config.findMe) {
            this.service = new this.hap.Service.Switch(`${this.config.name} ${this.config.findMeWord}`, "FindMe Switch");
            this.service
                .getCharacteristic(this.hap.Characteristic.On)
                .onGet(() => false)
                .onSet((newState) => this.identify(newState));
        }
    }
    async init() { }
    get services() {
        return this.service ? [this.service] : [];
    }
    async identify(newState) {
        await this.deviceManager.ensureDevice("identify");
        this.log.info(`ACT identify | Find me - Hello!`);
        try {
            await this.deviceManager.device.find();
        }
        catch (err) {
            this.log.error(`identify | `, err);
            throw err;
        }
    }
}
exports.FindMeService = FindMeService;
//# sourceMappingURL=find_me_service.js.map